=== source/libs/ijs/Makefile ===
#Portions of this code are Copyright 2011 Univa Inc.
IJSLIB_DIR = $(SDIR)/libs/ijs

IJSLIB_SRC =   \
               sge_ijs_lib.c

IJSLIB_OBJS = $(IJSLIB_SRC:.c=.o)

IJSLIB =libijs.a

###############################################################################
# global rules: all, clean, depend, messages
###############################################################################

ijslib: $(IJSLIB)

ijslib_clean:
		$(RM) $(IJSLIB_OBJS) libijs.a

ijslib_depend:
		$(DEPEND) -f$(IJSLIB_DIR)/ijs_dependencies $(IJSLIB_DIR)/*.c

ijslib_messages:
	@echo Creating $@
	@for i in `ls $(IJSLIB_DIR)/*.c`; do \
	   $(CC) $(CFLAGS) -DEXTRACT_MESSAGES -E $$i | $(XGETTEXT) - ;\
	done

###############################################################################
# rules to build library
###############################################################################
libijs.a:	$(IJSLIB_OBJS) 
	$(AR) $(ARFLAGS) libijs.a $(IJSLIB_OBJS)
	$(RANLIB) libijs.a

###############################################################################
# include dependencies for object files generated by sge_depend
###############################################################################
include $(IJSLIB_DIR)/ijs_dependencies

###############################################################################
# rules to build object codes
###############################################################################
sge_ijs_lib.o:	$(IJSLIB_DIR)/sge_ijs_lib.c
		$(CC) $(CFLAGS) $(SHARED_CFLAGS) -c $(IJSLIB_DIR)/sge_ijs_lib.c

#---------------------------------------------------------------------
# test programs
