=== debian/changelog ===
sge (8.1.6) unstable; urgency=low

  * New version.

 -- Dave Love <d.love@liverpool.ac.uk>  Wed, 09 Oct 2013 19:32:13 +0100

sge (8.1.5) unstable; urgency=low

  * New version (fixes armhf recognition).

 -- Dave Love <d.love@liverpool.ac.uk>  Thu, 19 Sep 2013 21:56:45 +0100

sge (8.1.4) unstable; urgency=low

  * Fix packaging on wheezy.
  * Drop explicit ant dependency.
  * Add motif alternative build dependency.
  * Depend on procps.
  * Fix some lintian warnings

 -- Dave Love <d.love@liverpool.ac.uk>  Tue, 27 Aug 2013 13:06:21 +0100

sge (8.1.3) unstable; urgency=low

  * Initial packaging, installing into /opt/sge.

 -- Dave Love <d.love@liv.ac.uk>  Sun, 04 Nov 2012 21:29:23 +0000
